重命名指定的配置文件。 支持的平台:仅窗口 签名工 务 局: object.RenameProfile origProfileName, newProfileName
返回值(RetVal)无返回值。 言论没有额外的评论。 例子工 务 局: Sub Example_RenameProfile() ' This example renames an existing profile. ' You can see the renamed profile under Options/Profiles ' ' *Note: This example relies on the default profile "<<Unnamed Profile>>". ' If this profile has already been renamed or removed, be sure to change the ' name of the SourceProfile to one that currently exists. Dim ACADPref As AcadPreferencesProfiles Dim SourceProfile As String, DestinationProfile As String ' Get the profiles preferences object Set ACADPref = ThisDrawing.Application.preferences.Profiles ' Rename the default profile On Error GoTo ERRORTRAP SourceProfile = "<<Unnamed Profile>>" DestinationProfile = "NEW_PROFILE_NAME" ACADPref.RenameProfile SourceProfile, DestinationProfile MsgBox "We have just renamed the profile " & SourceProfile & " to " & DestinationProfile Exit Sub ERRORTRAP: If Err.Description <> "" Then MsgBox "The default profile '" & SourceProfile & "' cannot be found, please use a different source profile." End If End Sub Visual LISP: (vl-load-com) (defun c:Example_RenameProfile() ;; This example renames an existing profile. ;; You can see the renamed profile under Options/Profiles ;; ;; *Note: This example relies on the default profile "<<Unnamed Profile>>". ;; If this profile has already been renamed or removed, be sure to change the ;; name of the SourceProfile to one that currently exists. (setq acadObj (vlax-get-acad-object)) (setq preferences (vla-get-Preferences acadObj)) ;; Rename the default profile (setq sourceProfile "<<Unnamed Profile>>" destinationProfile "NEW_PROFILE_NAME") (setq err (vl-catch-all-apply 'vla-RenameProfile (list (vla-get-Profiles preferences) sourceProfile destinationProfile))) (if (= (type err) 'VL-CATCH-ALL-APPLY-ERROR) (alert (strcat "The default profile '" SourceProfile "' cannot be found, please use a different source profile.")) (alert (strcat "We have just renamed the profile " SourceProfile " to " DestinationProfile)) ) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:18
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.